WordPress 2.7+: Enable Automatic Plugins and Theme Update

After moving a WordPress instance from one server to an other the automatic update functionality for plugins and themes was no longer working. Trying to update a plugin, WordPress always asked my to enter FTP credentials.

After some research I found out that one has to set some permissions and ownerships for the user and the group under which the web server is running. On Ubuntu this user and the group are typically named www-data.

# chown :WEB-SERVER-GROUP -R /path/to/Wordpress/wp-content/*
# chmod g+w -R /path/to/Wordpress/wp-content/*
# chown WEB-SERVER-USER /path/to/Wordpress/wp-admin/update.php

Attention should be paid to the last line which sets the ownership of the update.php file:

Comments

  1. amy

    I do agree with all of the ideas you’ve presented in your post. They’re very convincing and will certainly work. Still, the posts are very short for starters. Could you please extend them a bit from next time? Thanks for the post.

Leave a comment

Your email address will not be published. Required fields are marked *

*